## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           deepin-draw
Version:        6.5.8
Release:        %autorelease
Summary:        A lightweight drawing tool for Linux Deepin
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/deepin-draw
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5LinguistTools)

BuildRequires:  pkgconfig(dtkwidget)
BuildRequires:  pkgconfig(dtkgui)

BuildRequires:  desktop-file-utils

Requires:       deepin-qt5integration
Recommends:     deepin-manual

%description
A lightweight drawing tool for Linux Deepin.

%prep
%autosetup -p1

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install
%find_lang deepin-draw --with-qt --all-name
rm %{buildroot}%{_datadir}/deepin-draw/translations/deepin-draw.qm

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f deepin-draw.lang
%doc README.md
%license LICENSE.txt
%{_bindir}/deepin-draw
%{_datadir}/dbus-1/services/*.service
%{_datadir}/applications/deepin-draw.desktop
%{_datadir}/mime/packages/deepin-draw.xml
%{_datadir}/deepin-manual/manual-assets/application/deepin-draw/
%{_datadir}/icons/deepin/apps/scalable/deepin-draw.svg
%{_datadir}/icons/hicolor/*/apps/*

%changelog
## START: Generated by rpmautospec
* Sun Jan 05 2025 topazus <topazus@outlook.com> - 6.5.8-1
- 6.5.8

* Fri Aug 16 2024 Felix Wang <topazus@outlook.com> - 6.0.11-1
- 6.0.11

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 21 2023 Robin Lee <cheeselee@fedoraproject.org> - 6.0.6-1
- New release 6.0.6

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.10.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 22 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.10.6-1
- New release 5.10.6

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.8.0.22-1
- New release 5.8.0.22

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.8.0.20-1
- new upstream release: 5.8.0.20

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 20 2018 mosquito <sensor.wen@gmail.com> - 1.0.0-1
- Initial package build

## END: Generated by rpmautospec
